package com.xinelu.common.utils.uuid;

import java.security.SecureRandom;

/**
 * ID生成器工具类
 *
 * @author xinelu
 */
public class IdUtils {
    /**
     * 获取随机UUID
     *
     * @return 随机UUID
     */
    public static String randomUUID() {
        return UUID.randomUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线
     *
     * @return 简化的UUID，去掉了横线
     */
    public static String simpleUUID() {
        return UUID.randomUUID().toString(true);
    }

    /**
     * 获取随机UUID，使用性能更好的ThreadLocalRandom生成UUID
     *
     * @return 随机UUID
     */
    public static String fastUUID() {
        return UUID.fastUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线，使用性能更好的ThreadLocalRandom生成UUID
     *
     * @return 简化的UUID，去掉了横线
     */
    public static String fastSimpleUUID() {
        return UUID.fastUUID().toString(true);
    }

    /**
     * SecureRandom生成六位随机数
     * @return 六位随机数
     */
    public static int generateSixDigitNumber() {
        SecureRandom random = new SecureRandom();
        // // 100000 (inclusive) to 999999 (inclusive)
        return 100000 + random.nextInt(900000);
    }
}
